Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## writer2latex.xhtml
Class XhtmlStyleMap

    java.lang.Object
      writer2latex.xhtml.XhtmlStyleMap

    public class XhtmlStyleMap

extends java.lang.Object

Field Summary
`private java.util.Hashtable` | `blockCss`
`private java.util.Hashtable` | `blockElement`
`private java.util.Hashtable` | `css`
`private java.util.Hashtable` | `element`

Constructor Summary
`XhtmlStyleMap()`

Method Summary
`boolean` | `contains(java.lang.String sName)`
`java.lang.String` | `getBlockCss(java.lang.String sName)`
`java.lang.String` | `getBlockElement(java.lang.String sName)`
`java.lang.String` | `getCss(java.lang.String sName)`
`java.lang.String` | `getElement(java.lang.String sName)`
`java.util.Enumeration` | `getNames()`
`void` | `put(java.lang.String sName, java.lang.String sBlockElement, java.lang.String sBlockCss, java.lang.String sElement, java.lang.String sCss)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### blockElement

    private java.util.Hashtable blockElement

### blockCss

    private java.util.Hashtable blockCss

### element

    private java.util.Hashtable element

### css

    private java.util.Hashtable css

Constructor Detail

### XhtmlStyleMap

    public XhtmlStyleMap()

Method Detail

### put

    public void put(java.lang.String sName,
                    java.lang.String sBlockElement,
                    java.lang.String sBlockCss,
                    java.lang.String sElement,
                    java.lang.String sCss)

### contains

    public boolean contains(java.lang.String sName)

### getBlockElement

    public java.lang.String getBlockElement(java.lang.String sName)

### getBlockCss

    public java.lang.String getBlockCss(java.lang.String sName)

### getElement

    public java.lang.String getElement(java.lang.String sName)

### getCss

    public java.lang.String getCss(java.lang.String sName)

### getNames

    public java.util.Enumeration getNames()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD